/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, EventEmitter, OnChanges, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { IdleDetectionService } from '../../../_services/idle-detection.service';
import { ServerConfigService } from '../../../_services/server-config.service';
import * as i0 from "@angular/core";
export declare class AssignmentCardComponent implements OnInit, OnChanges, OnDestroy {
    private idleService;
    private scservice;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    arMainButtons$: any[];
    arSecondaryButtons$: any[];
    arChildren$: any[];
    updateToken$: number;
    actionButtonClick: EventEmitter<any>;
    constructor(idleService: IdleDetectionService, scservice: ServerConfigService);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    checkAndEnableAutoSave(): Promise<void>;
    onActionButtonClick(oData: any): void;
    autoSave(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssignmentCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AssignmentCardComponent, "app-assignment-card", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; "arMainButtons$": { "alias": "arMainButtons$"; "required": false; }; "arSecondaryButtons$": { "alias": "arSecondaryButtons$"; "required": false; }; "arChildren$": { "alias": "arChildren$"; "required": false; }; "updateToken$": { "alias": "updateToken$"; "required": false; }; }, { "actionButtonClick": "actionButtonClick"; }, never, never, true, never>;
}
